For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags (Core)

Endpoints to create, update, and read tags.

List tags

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

all entities

sizeintegerOptional

number of entities to show

Default: 25
Responses
200

The current list of available tags

application/json

StrippedTags

totalintegerOptional

Total number of found entities for this query

Example: 42
get/api/tags

Create tag

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

TagForCreation

allowedValuesstring[] · min: 1Required
idstringRequired
Responses
201

The tag was successfully created.

application/json

Tag

and
post/api/tags

Get tag

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tagRefstringRequired

Id of the tag you want to get

Responses
200

Tag was found & you were allowed to access it. The result is in the body.

application/json

Tag

and
get/api/tags/{tagRef}

Update tag

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tagRefstringRequired

Id of the tag you want to update

Body

TagPatchActions

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
200

Tag was found & you were allowed to access it. The result is in the body.

application/json

Tag

and
patch/api/tags/{tagRef}

Last updated